Media

Stream verified media bytes for a project asset

GET
/api/projects/{projectId}/media/{assetId}/content

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
assetId*string
Length1 <= length

Query Parameters

variant?string
Value in"thumbnail""preview"

Response Body

The verified media bytes

response?unknownapplication/octet-stream
Example Request
curl -X GET 'https://postbot.example/api/projects/string/media/string/content'
Example Response
null

Was this page helpful?